#!/bin/sh

#java="java -client -Xmx1024m -Xms1024m"
java="java"
#java="java -verbose:gc -Xmx1g -Xms1g -XXaggressive"

warmup=2000
duration=5000

r=262144

for i in 512 65536; do
for load in read-only read-intensive write-intensive high-contensive; do

if [ "$load" = "read-only" ]; then
	w=0
	o=1
else 
	if [ "${load}" = "read-intensive" ]; then
		w=20
		o=1
	else
		if [ "${load}" = "write-intensive" ]; then
			w=80
			o=1
		else # high-contensive
			w=80
			o=5
		fi
	fi
fi

for b in LazySkipList BoostedSkipList OptimisticBoostedSkipList; do
:>logs/intset-${b}-i${i}-w${w}-o${o}-r${r}.log
for t in 1 2 4 8 16 24 32 48 64; do

result=0

for tr in 1 2 3 4 5; do

echo $b " t= " $t " w= " $w " o= " $o " i= " $i " r= " $r " (Trial number " $tr ")"

log=logs/intset-${b}-i${i}-w${w}-o${o}-r${r}.log

result=`expr $result + $(echo "$(${java} Driver -n ${t} -d ${duration} -w ${warmup} SetBenchmark ${b} -r ${r} -i ${i} -w ${w} -o ${o})" | egrep -e 'Nb iterations        = [^ ]*' -o | cut -d = -f 2)`

done

result=`expr $result / 25`

echo "result: " $result
echo $t " " $result >> $log

done
done
done
done
